## python-pathspec 0.12.1

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = PathSpecification
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-pathspec 0.3.4

=== debian/changelog ===
python-pathspec (0.3.4-0ubuntu1) xenial; urgency=medium

  * Initial release (LP: #1546776).

 -- Marco Ceppi <marco@ceppi.net>  Thu, 31 Mar 2016 17:10:20 +0100

=== debian/control ===
Source: python-pathspec
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9~),
               dh-python,
               python-all (>= 2.6.6-3),
               python-setuptools,
               python3-all,
               python3-setuptools,
Standards-Version: 3.9.6

Package: python-pathspec
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: Utility library for gitignore style pattern matching of file paths
 pathspec is a utility library for pattern matching of file paths. So
 far this only includes gitignore style pattern matching which itself
 incorporates POSIX glob patterns.
 .
 This package provides the Python 2 module.

Package: python3-pathspec
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: Utility library for gitignore style pattern matching of file paths
 pathspec is a utility library for pattern matching of file paths. So
 far this only includes gitignore style pattern matching which itself
 incorporates POSIX glob patterns.
 .
 This package provides the Python 3 module.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pathspec/pathspec-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pathspec 0.5.5

=== debian/changelog ===
python-pathspec (0.5.5-1) unstable; urgency=medium

  * Initial release (Closes: #877705)

 -- Philipp Huebner <debalance@debian.org>  Wed, 04 Oct 2017 18:08:59 +0200

=== debian/control ===
Source: python-pathspec
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools
Standards-Version: 4.1.1
Section: python
Homepage: https://github.com/cpburnz/python-path-specification
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/users/debalance/python-pathspec.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/python-pathspec.git
Testsuite: autopkgtest-pkg-python

Package: python3-pathspec
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: utility library for gitignore style pattern matching of file paths (Python 3)
 pathspec is a utility library for pattern matching of file paths.
 So far this only includes Git's wildmatch pattern matching which itself is
 derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4
https://pypi.debian.net/pathspec/pathspec-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pathspec 0.5.6

=== debian/changelog ===
python-pathspec (0.5.6-1) unstable; urgency=medium

  * New upstream version 0.5.6
  * Updated Standards-Version: 4.1.4 (no changes needed)
  * Updated Vcs-* fields in debian/control
  * Switched to debhelper 11

 -- Philipp Huebner <debalance@debian.org>  Wed, 09 May 2018 14:06:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: python-pathspec
 Priority: optional
 Maintainer: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 11~), dh-python, python3-all, python3-setuptools
+Standards-Version: 4.1.4
 Section: python
 Homepage: https://github.com/cpburnz/python-path-specification
-X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/users/debalance/python-pathspec.git
-Vcs-Browser: https://anonscm.debian.org/git/users/debalance/python-pathspec.git
+Vcs-Git: https://salsa.debian.org/debian/python-pathspec.git
+Vcs-Browser: https://salsa.debian.org/debian/python-pathspec
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-pathspec

## python-pathspec 0.5.9

=== debian/changelog ===
python-pathspec (0.5.9-1) unstable; urgency=medium

  * New upstream version 0.5.9
  * Updated Standards-Version: 4.2.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 18 Nov 2018 19:16:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Philipp Huebner <debalance@debian.org>
 Build-Depends: debhelper (>= 11~), dh-python, python3-all, python3-setuptools
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Section: python
 Homepage: https://github.com/cpburnz/python-path-specification
 Vcs-Git: https://salsa.debian.org/debian/python-pathspec.git

## python-pathspec 0.6.0

=== debian/changelog ===
python-pathspec (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * Switched to debhelper compat level 12
  * Updated Standards-Version: 4.4.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 20 Oct 2019 19:33:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,12 @@
 Source: python-pathspec
 Priority: optional
 Maintainer: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 11~), dh-python, python3-all, python3-setuptools
-Standards-Version: 4.2.1
+Build-Depends: debhelper,
+               debhelper-compat (= 12),
+               dh-python,
+               python3-all,
+               python3-setuptools
+Standards-Version: 4.4.1
 Section: python
 Homepage: https://github.com/cpburnz/python-path-specification
 Vcs-Git: https://salsa.debian.org/debian/python-pathspec.git

## python-pathspec 0.7.0

=== debian/changelog ===
python-pathspec (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Sun, 16 Feb 2020 00:31:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: python-pathspec
+Maintainer: Philipp Huebner <debalance@debian.org>
+Section: python
 Priority: optional
-Maintainer: Philipp Huebner <debalance@debian.org>
 Build-Depends: debhelper,
                debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools
-Standards-Version: 4.4.1
-Section: python
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/cpburnz/python-path-specification
 Vcs-Git: https://salsa.debian.org/debian/python-pathspec.git
 Vcs-Browser: https://salsa.debian.org/debian/python-pathspec

## python-pathspec 0.8.0

=== debian/changelog ===
python-pathspec (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0

 -- Philipp Huebner <debalance@debian.org>  Sun, 19 Apr 2020 10:07:30 +0200

python-pathspec (0.7.0-2) unstable; urgency=medium

  * Moved maintainership to Debian Python Modules Team
  * Updated Vcs-* fields

 -- Philipp Huebner <debalance@debian.org>  Fri, 28 Feb 2020 14:08:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-pathspec
-Maintainer: Philipp Huebner <debalance@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Philipp Huebner <debalance@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper,
@@ -10,8 +11,8 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/cpburnz/python-path-specification
-Vcs-Git: https://salsa.debian.org/debian/python-pathspec.git
-Vcs-Browser: https://salsa.debian.org/debian/python-pathspec
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-pathspec.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pathspec
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-pathspec

## python-pathspec 0.8.1

=== debian/changelog ===
python-pathspec (0.8.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Philipp Huebner ]
  * New upstream version 0.8.1
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated debhelper compat version: 13

 -- Philipp Huebner <debalance@debian.org>  Mon, 28 Dec 2020 16:09:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: python-pathspec
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Philipp Huebner <debalance@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/cpburnz/python-path-specification
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-pathspec.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pathspec
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-pathspec.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pathspec
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-pathspec

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export PYBUILD_NAME=pathspec

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-pathspec 0.9.0

=== debian/changelog ===
python-pathspec (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * Updated Standards-Version: 4.6.0 (no changes needed)
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sun, 29 Aug 2021 17:02:30 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-python,
                python3-all,
                python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/cpburnz/python-path-specification
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pathspec.git

## python-pathspec 0.10.1

=== debian/changelog ===
python-pathspec (0.10.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refer to /usr/share/common-licenses/MPL-2.0 instead of carrying the full
    license text.
  * Update GitHub URL in control, copyright, metadata.
  * Build with pybuild-plugin-pyproject.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 13 Sep 2022 10:20:33 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 Build-Depends: debhelper,
                debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Homepage: https://github.com/cpburnz/python-path-specification
+Homepage: https://github.com/cpburnz/python-pathspec
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pathspec.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pathspec
 Testsuite: autopkgtest-pkg-python

## python-pathspec 0.11.0

=== debian/changelog ===
python-pathspec (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0
  * debian/copyright: update years
  * debian/control: add flit + python3-flit-scm to Build-Depends
  * debian/source/lintian-overrides: update due to renamed tag

 -- Philipp Huebner <debalance@debian.org>  Thu, 26 Jan 2023 10:05:11 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
 Build-Depends: debhelper,
                debhelper-compat (= 13),
                dh-python,
+               flit,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-flit-scm,
                python3-setuptools
 Standards-Version: 4.6.1
 Rules-Requires-Root: no

## python-pathspec 0.11.1

=== debian/changelog ===
python-pathspec (0.11.1-1) unstable; urgency=medium

  * New upstream version 0.11.1
  * Updated Standards-Version: 4.6.2 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Tue, 04 Jul 2023 14:20:16 +0200

## python-pathspec 0.12.1

=== debian/changelog ===
python-pathspec (0.12.1-1) unstable; urgency=medium

  * New upstream version 0.12.1
  * Update years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Thu, 11 Jan 2024 11:01:03 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-all,
                python3-flit-scm,
                python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/cpburnz/python-pathspec
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pathspec.git
@@ -20,7 +20,7 @@
 
 Package: python3-pathspec
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Description: utility library for gitignore style pattern matching of file paths (Python 3)
  pathspec is a utility library for pattern matching of file paths.
  So far this only includes Git's wildmatch pattern matching which itself is

## python-pathspec 0.12.1-1+11.0trisquel1

=== debian/changelog ===
python-pathspec (0.12.1-1+11.0trisquel1) aramo-backports; urgency=medium

  * Backport dependency for newer yt-dlp

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 08 Feb 2026 01:05:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-pathspec
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Philipp Huebner <debalance@debian.org>
 Section: python
 Priority: optional
